<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.maintain.business.mapper.ErpMaterialCheckMapper">

    <resultMap type="com.maintain.business.domain.ErpMaterialCheck" id="ErpMaterialCheckResult">
        <result property="id" column="id"/>
        <result property="taskCode" column="task_code"/>
        <result property="taskName" column="task_name"/>
        <result property="taskUserId" column="task_user_id"/>
        <result property="taskUserName" column="task_user_name"/>
        <result property="taskStartTime" column="task_start_time"/>
        <result property="taskEndTime" column="task_end_time"/>
        <result property="warehouseId" column="warehouse_id"/>
        <result property="warehouseName" column="warehouse_name"/>
        <result property="checkType" column="check_type"/>
        <result property="checkState" column="check_state"/>
        <result property="deptId" column="dept_id"/>
        <result property="deptName" column="dept_name"/>
        <result property="remark" column="remark"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="createDeptId" column="create_dept_id"/>
    </resultMap>


</mapper>
